com.parse

## Interface RequestPasswordResetCallback

    public interface RequestPasswordResetCallback

A `RequestPasswordResetCallback` is used to run code requesting a password reset for a user.

The easiest way to use a `RequestPasswordResetCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the request is complete. The `done` function will be run in the UI thread, while the request happens in a background thread. This ensures that the UI does not freeze while the request happens.

For example, this sample code requests a password reset for a user and calls a different function depending on whether the request succeeded or not.

     ParseUser.requestPasswordResetInBackground("forgetful@example.com",
         new RequestPasswordResetCallback() {
           public void done(ParseException e) {
             if (e == null) {
               requestedSuccessfully();
             } else {
               requestDidNotSucceed();
             }
           }
         });

### Method Summary

Methods
`void` `done(ParseException e)` Override this function with the code you want to run after the request is complete.

### Method Detail

#### done

    void done(ParseException e)

Override this function with the code you want to run after the request is complete.

Parameters:
  `e` - The exception raised by the save, or `null` if no account is associated with the email address.